package test.jsf;

import com.google.inject.Inject;
import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import org.itsocial.framework.exception.SystemException;
import org.itsocial.framework.model.user.Users;
import org.itsocial.framework.service.LookupService;
import org.itsocial.framework.ui.managedBean.BaseManagedBean;

//import javax.validation.constraints.Size;

@ManagedBean
public class UserBean extends BaseManagedBean {

    @Inject
    LookupService lookup;

    public List<String> autocomplete(String prefix) {

        ArrayList<String> result = new ArrayList<String>();
        result.add("England");
        result.add("France");
        result.add("Germany");
        result.add("Italy");
        result.add("Spain");
        try {
            lookup.refreshLookupData("USERS");
            log.debug("Lookup-->"+ lookup);
            log.debug("Lookup lookup-->"+ lookup.getLookupData("USERS"));
            List<Users> list = (List<Users>) lookup.getLookupData("USERS");

            for (Users gm : list) {
                result.add(gm.getUserName());
            }
           

        } catch (Exception ex) {
            log.error(ex);
        }

        return result;
    }
// @Size(min=3, max=12,message="Must be between 3 and 12 chars")
    private String name;
    private String state;

    public String getState() {
        return state;
    }

    public String getName() {
        return name;
    }
    
    public List<Users> getGenMain() throws SystemException{
        List<Users> list = (List<Users>) lookup.getLookupData("USERS");
        
        return list;
    }
    
    
}